/* モーダルの基本スタイル */
#customModalDialog {
    display: none; /* 初期状態では非表示 */
    position: fixed; /* 画面中に固定 */
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4); /* 背景は半透明 */
    z-index: 10000; /* 上層に表示 */
}

/* モーダルコンテンツのスタイル */
#customModalDialog .modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 画面の上部にマージン */
    padding: 20px;
    border: 1px solid #888;
    width: 680px;
    /*min-height: 20%;*/
}

#customModalDialog .message-block {
    display: flex;
    align-items: center;
}


/* クローズボタンのスタイル */
#customModalDialog .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

#customModalDialog .close:hover,
#customModalDialog .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

#customModalDialog .error-icon, #customModalDialog .alert-icon {
    font-size: 30px;
    margin: 10px 10px 10px 0px;
}

#customModalDialog .message {
    margin: 5px 0px 0px 0px;
    font-size: 16px;
}

#customModalDialog .message-list {
    margin-top: 10px;
    max-height: 150px;
    overflow: auto;
}

